DLNGAM(3)

SYNOPSIS
DOUBLE PRECISION FUNCTION DLNGAM (X)

NAME
dlngam - Compute the logarithm of the absolute value of the Gamma function.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C7A

TYPE
DOUBLE PRECISION (ALNGAM-S, DLNGAM-D, CLNGAM-C)

KEYWORDS
ABSOLUTE VALUE, COMPLETE GAMMA FUNCTION, FNLIB, LOGARITHM, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
DLNGAM(X) calculates the double precision logarithm of the absolute value of the Gamma function for double precision argument X.

REFERENCES
(NONE)

ROUTINES CALLED
D1MACH, D9LGMC, DGAMMA, XERMSG

REVISION HISTORY (YYMMDD)
770601 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900727 Added EXTERNAL statement. (WRB)